---
title: GlobalEventHandlers.onloadeddata
slug: Web/API/GlobalEventHandlers/onloadeddata
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - Property
  - Reference
---
<div>{{ ApiRef("HTML DOM") }}</div>

<p>The <strong><code>onloadeddata</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("loadeddata")}} events.</p>

<p>The <code>loadeddata</code> event is fired when the first frame of the media has finished loading.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em><var>element</var></em>.onloadeddata = <em>handlerFunction</em>;
var <em>handlerFunction</em> = <em><var>element</var></em>.onloadeddata;
</pre>

<p><code>handlerFunction</code> is either <code>null</code> or a <a href="/en-US/docs/Web/JavaScript/Reference/Functions" title="/en-US/docs/JavaScript/Reference/Functions_and_function_scope">JavaScript function</a> specifying the handler for the event.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#handler-onloadeddata','onloadeddata')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onloadeddata")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("loadeddata")}}</li>
 <li><a href="/en-US/docs/Web/Guide/Events/Event_handlers" title="/en-US/docs/Web/Guide/DOM/Events/Event_handlers">DOM event handlers</a></li>
</ul>
